package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.GP_PricingClasseTarifariaDAO;
import com.rjconsultores.ventaboletos.entidad.GP_PricingClasseTarifaria;
import com.rjconsultores.ventaboletos.service.GP_PricingClasseTarifariaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("gp_pricingClasseTarifariaService")
public class GP_PricingClasseTarifariaServiceImpl implements GP_PricingClasseTarifariaService {

	@Autowired
	private GP_PricingClasseTarifariaDAO pricingClasseTarifariaDAO;

	@Override
	public List<GP_PricingClasseTarifaria> obtenerTodos() {
		return pricingClasseTarifariaDAO.obtenerTodos();
	}

	@Override
	public GP_PricingClasseTarifaria obtenerID(Integer id) {
		return pricingClasseTarifariaDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public GP_PricingClasseTarifaria suscribir(GP_PricingClasseTarifaria entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);
		return pricingClasseTarifariaDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public GP_PricingClasseTarifaria actualizacion(GP_PricingClasseTarifaria entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);
		return pricingClasseTarifariaDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(GP_PricingClasseTarifaria entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);
		pricingClasseTarifariaDAO.actualizacion(entidad);
	}

	public Boolean validacionSigla(String sigla) {
		return pricingClasseTarifariaDAO.validacionSigla(sigla);
	}

}
